{"format":"opendoc-document","version":1,"url":"https://docs.storm.tg/developers/operations/listactiveassetorders","title":"List active orders for an asset","description":"GET /api/orders/{trader}/{asset}/active: List active orders for an asset","kind":"api-operation","locale":"en","inLanguage":"en","lastModified":"2026-10-09T14:26:32+03:00","revision":"d36475e7b456c737fae6933fa27b7e1bc2687f2c19291b05725ab2c4e8f79d7a","section":{"title":"For Developers","url":"https://docs.storm.tg/developers"},"representations":{"html":"https://docs.storm.tg/developers/operations/listactiveassetorders","markdown":"https://docs.storm.tg/developers/operations/listactiveassetorders.md","json":"https://docs.storm.tg/developers/operations/listactiveassetorders.json"},"translations":{"en":"https://docs.storm.tg/developers/operations/listactiveassetorders"},"operation":{"id":"ListActiveAssetOrders","method":"GET","path":"/api/orders/{trader}/{asset}/active","summary":"List active orders for an asset","tags":["Positions and order history"],"deprecated":false,"parameters":[{"name":"trader","location":"path","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660"},{"name":"asset","location":"path","schema":{"type":"string","types":["string"],"example":"BTC","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"minLength":1},"properties":[],"variants":[]},"type":"string","required":true,"description":"Position base asset","example":"BTC"},{"name":"statuses","location":"query","schema":{"type":"string · enum[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"string · enum","types":["string"],"enum":["seq_pending","seq_executing","active","pending","tx_sent","executed","canceled","canceled_by_sequencer","expired","error"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"variants":[]},"type":"string · enum[]","required":false,"example":"[\n  \"seq_pending\"\n]"},{"name":"direction","location":"query","schema":{"type":"string · enum","types":["string"],"enum":["long","short"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string · enum","required":false,"example":"long"},{"name":"limit","location":"query","schema":{"type":"integer","types":["integer"],"default":20,"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"integer","required":false,"example":"20"},{"name":"offset","location":"query","schema":{"type":"integer","types":["integer"],"default":0,"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"integer","required":false,"example":"0"},{"name":"walletId","location":"query","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]},"type":"string","required":false,"example":"string"}],"bodies":[],"responses":[{"status":"200","description":"Response","mediaType":"application/json","properties":[],"schema":{"type":"object[]","types":["array"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"items":{"type":"object","types":["object"],"reference":"#/components/schemas/Data.OrderResponse","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[{"name":"id","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"txId","type":"string","required":true,"example":"string","schema":{"type":"string","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"trader","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"masterTrader","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"market","type":"string","required":true,"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","schema":{"type":"string","types":["string"],"example":"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660","nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"status","type":"string · enum","required":true,"example":"seq_pending","schema":{"type":"string · enum","types":["string"],"enum":["seq_pending","seq_executing","active","pending","tx_sent","executed","canceled","canceled_by_sequencer","expired","error"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"type","type":"string · enum","required":true,"example":"market","schema":{"type":"string · enum","types":["string"],"enum":["market","stop","take","limit","liquidation","max_pnl","add_margin","remove_margin"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"direction","type":"string · enum","required":true,"example":"long","schema":{"type":"string · enum","types":["string"],"enum":["long","short"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"stopPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"limitPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"stopTriggerPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"takeTriggerPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"leverage","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"index","type":"number · nullable","required":true,"example":"0","schema":{"type":"number · nullable","types":["number"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"positionId","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}},{"name":"expiration","type":"string · date-time · nullable","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"amount","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"indexPrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"settlementOraclePrice","type":"string · int64 · nullable","required":true,"example":"0","schema":{"type":"string · int64 · nullable","types":["string"],"example":"0","nullable":true,"readOnly":false,"writeOnly":false,"constraints":{"format":"int64","pattern":"^(0|-?[1-9][0-9]*)$"},"properties":[],"variants":[]}},{"name":"createdAt","type":"string · date-time","required":true,"example":"2026-01-01T00:00:00Z","schema":{"type":"string · date-time","types":["string"],"nullable":false,"readOnly":false,"writeOnly":false,"constraints":{"format":"date-time"},"properties":[],"variants":[]}},{"name":"error","type":"string · nullable","required":true,"example":"string","schema":{"type":"string · nullable","types":["string"],"nullable":true,"readOnly":false,"writeOnly":false,"constraints":{},"properties":[],"variants":[]}}],"variants":[]},"variants":[]},"example":"[\n  {\n    \"id\": \"string\",\n    \"txId\": \"string\",\n    \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"masterTrader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"status\": \"seq_pending\",\n    \"type\": \"market\",\n    \"direction\": \"long\",\n    \"stopPrice\": \"0\",\n    \"limitPrice\": \"0\",\n    \"stopTriggerPrice\": \"0\",\n    \"takeTriggerPrice\": \"0\",\n    \"leverage\": \"0\",\n    \"index\": 0,\n    \"positionId\": \"string\",\n    \"expiration\": \"2026-01-01T00:00:00Z\",\n    \"amount\": \"0\",\n    \"indexPrice\": \"0\",\n    \"settlementOraclePrice\": \"0\",\n    \"createdAt\": \"2026-01-01T00:00:00Z\",\n    \"error\": \"string\"\n  }\n]","headers":[]}],"security":[],"codeSamples":[{"label":"cURL","language":"bash","source":"curl --request GET 'https://api.storm.tg/api/orders/{trader}/{asset}/active' \\\n  --header 'Accept: application/json'"},{"label":"JavaScript","language":"javascript","source":"const response = await fetch(\"https://api.storm.tg/api/orders/{trader}/{asset}/active\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());"},{"label":"Python","language":"python","source":"import requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/orders/{trader}/{asset}/active\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)"}]},"breadcrumbs":[{"title":"⚡ About Storm Trade","url":"https://docs.storm.tg"},{"title":"For Developers","url":"https://docs.storm.tg/developers"},{"title":"List active orders for an asset","url":"https://docs.storm.tg/developers/operations/listactiveassetorders"}],"headings":[{"depth":2,"id":"parameters","title":"Parameters"},{"depth":2,"id":"examples","title":"Examples"},{"depth":2,"id":"responses","title":"Responses"}],"markdown":"# List active orders for an asset\n\n`GET /api/orders/{trader}/{asset}/active`\n\n## Authorization\n\n\n\n## Parameters\n\n- path: trader (string; required). \n\nType: string\n\nExample: \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\"\n\n- path: asset (string; required). Position base asset\n\nType: string\n\nExample: \"BTC\"\n\nminLength: 1\n\n- query: statuses (string · enum[]; optional). \n\nType: string · enum[]\n\n[]Type: string · enum\n\n[]Allowed values: [\"seq_pending\",\"seq_executing\",\"active\",\"pending\",\"tx_sent\",\"executed\",\"canceled\",\"canceled_by_sequencer\",\"expired\",\"error\"]\n\n- query: direction (string · enum; optional). \n\nType: string · enum\n\nAllowed values: [\"long\",\"short\"]\n\n- query: limit (integer; optional). \n\nType: integer\n\nDefault: 20\n\n- query: offset (integer; optional). \n\nType: integer\n\nDefault: 0\n\n- query: walletId (string; optional). \n\nType: string\n\n## Example · cURL\n\n```bash\ncurl --request GET 'https://api.storm.tg/api/orders/{trader}/{asset}/active' \\\n  --header 'Accept: application/json'\n```\n\n## Example · JavaScript\n\n```javascript\nconst response = await fetch(\"https://api.storm.tg/api/orders/{trader}/{asset}/active\", {\n  method: \"GET\",\n  headers: {\n    \"Accept\": \"application/json\"\n  },\n});\nconsole.log(response.status, await response.text());\n```\n\n## Example · Python\n\n```python\nimport requests\n\nresponse = requests.request(\n    \"GET\",\n    \"https://api.storm.tg/api/orders/{trader}/{asset}/active\",\n    headers={\"Accept\":\"application/json\"},\n    timeout=30,\n)\nprint(response.status_code, response.text)\n```\n\n## Response 200 · Data.OrderResponse\n\n**200** application/json — Response\n\nType: object[]\n\n[]Schema: Data.OrderResponse\n\n[]Type: object\n\n[]Required fields: id, txId, trader, masterTrader, market, status, type, direction, stopPrice, limitPrice, stopTriggerPrice, takeTriggerPrice, leverage, index, positionId, expiration, amount, indexPrice, settlementOraclePrice, createdAt, error\n\n[]Required field types: id (string; required), txId (string; required), trader (string; required), masterTrader (string; required), market (string; required), status (string · enum; required), type (string · enum; required), direction (string · enum; required), stopPrice (string · int64 · nullable; required), limitPrice (string · int64 · nullable; required), stopTriggerPrice (string · int64 · nullable; required), takeTriggerPrice (string · int64 · nullable; required), leverage (string · int64 · nullable; required), index (number · nullable; required), positionId (string · nullable; required), expiration (string · date-time · nullable; required), amount (string · int64 · nullable; required), indexPrice (string · int64 · nullable; required), settlementOraclePrice (string · int64 · nullable; required), createdAt (string · date-time; required), error (string · nullable; required)\n\n- []id (string; required)\n\n[]id example: string\n\n[]id.Type: string\n\n- []txId (string; required)\n\n[]txId example: string\n\n[]txId.Type: string\n\n- []trader (string; required)\n\n[]trader example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]trader.Type: string\n\n- []masterTrader (string; required)\n\n[]masterTrader example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]masterTrader.Type: string\n\n- []market (string; required)\n\n[]market example: 0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\n\n[]market.Type: string\n\n- []status (string · enum; required)\n\n[]status example: seq_pending\n\n[]status.Type: string · enum\n\n[]status.Allowed values: [\"seq_pending\",\"seq_executing\",\"active\",\"pending\",\"tx_sent\",\"executed\",\"canceled\",\"canceled_by_sequencer\",\"expired\",\"error\"]\n\n- []type (string · enum; required)\n\n[]type example: market\n\n[]type.Type: string · enum\n\n[]type.Allowed values: [\"market\",\"stop\",\"take\",\"limit\",\"liquidation\",\"max_pnl\",\"add_margin\",\"remove_margin\"]\n\n- []direction (string · enum; required)\n\n[]direction example: long\n\n[]direction.Type: string · enum\n\n[]direction.Allowed values: [\"long\",\"short\"]\n\n- []stopPrice (string · int64 · nullable; required)\n\n[]stopPrice example: 0\n\n[]stopPrice.Type: string · int64 · nullable\n\n[]stopPrice.format: int64\n\n[]stopPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []limitPrice (string · int64 · nullable; required)\n\n[]limitPrice example: 0\n\n[]limitPrice.Type: string · int64 · nullable\n\n[]limitPrice.format: int64\n\n[]limitPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []stopTriggerPrice (string · int64 · nullable; required)\n\n[]stopTriggerPrice example: 0\n\n[]stopTriggerPrice.Type: string · int64 · nullable\n\n[]stopTriggerPrice.format: int64\n\n[]stopTriggerPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []takeTriggerPrice (string · int64 · nullable; required)\n\n[]takeTriggerPrice example: 0\n\n[]takeTriggerPrice.Type: string · int64 · nullable\n\n[]takeTriggerPrice.format: int64\n\n[]takeTriggerPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []leverage (string · int64 · nullable; required)\n\n[]leverage example: 0\n\n[]leverage.Type: string · int64 · nullable\n\n[]leverage.format: int64\n\n[]leverage.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []index (number · nullable; required)\n\n[]index example: 0\n\n[]index.Type: number · nullable\n\n- []positionId (string · nullable; required)\n\n[]positionId example: string\n\n[]positionId.Type: string · nullable\n\n- []expiration (string · date-time · nullable; required)\n\n[]expiration example: 2026-01-01T00:00:00Z\n\n[]expiration.Type: string · date-time · nullable\n\n[]expiration.format: date-time\n\n- []amount (string · int64 · nullable; required)\n\n[]amount example: 0\n\n[]amount.Type: string · int64 · nullable\n\n[]amount.format: int64\n\n[]amount.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []indexPrice (string · int64 · nullable; required)\n\n[]indexPrice example: 0\n\n[]indexPrice.Type: string · int64 · nullable\n\n[]indexPrice.format: int64\n\n[]indexPrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []settlementOraclePrice (string · int64 · nullable; required)\n\n[]settlementOraclePrice example: 0\n\n[]settlementOraclePrice.Type: string · int64 · nullable\n\n[]settlementOraclePrice.format: int64\n\n[]settlementOraclePrice.pattern: ^(0|-?[1-9][0-9]*)$\n\n- []createdAt (string · date-time; required)\n\n[]createdAt example: 2026-01-01T00:00:00Z\n\n[]createdAt.Type: string · date-time\n\n[]createdAt.format: date-time\n\n- []error (string · nullable; required)\n\n[]error example: string\n\n[]error.Type: string · nullable\n\nExample\n\n\n\n```json\n[\n  {\n    \"id\": \"string\",\n    \"txId\": \"string\",\n    \"trader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"masterTrader\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"market\": \"0:72c310c83de5060d21674d58379b9a153854338a63d82588f8d912f83a3f8660\",\n    \"status\": \"seq_pending\",\n    \"type\": \"market\",\n    \"direction\": \"long\",\n    \"stopPrice\": \"0\",\n    \"limitPrice\": \"0\",\n    \"stopTriggerPrice\": \"0\",\n    \"takeTriggerPrice\": \"0\",\n    \"leverage\": \"0\",\n    \"index\": 0,\n    \"positionId\": \"string\",\n    \"expiration\": \"2026-01-01T00:00:00Z\",\n    \"amount\": \"0\",\n    \"indexPrice\": \"0\",\n    \"settlementOraclePrice\": \"0\",\n    \"createdAt\": \"2026-01-01T00:00:00Z\",\n    \"error\": \"string\"\n  }\n]\n```","text":"List active orders for an asset GET /api/orders/{trader}/{asset}/active Positions and order history trader string asset Position base asset string statuses string · enum[] direction string · enum limit integer offset integer walletId string 200 Response","api":{"title":"Storm API reference","version":"3.0","documentation":"https://docs.storm.tg/developers/overview","playgroundServer":"https://api.storm.tg"}}